{
  "schema_version": "1.4.0",
  "id": "GHSA-v9cr-xc3f-gm3v",
  "modified": "2022-05-17T19:49:31Z",
  "published": "2022-05-17T19:49:31Z",
  "aliases": [
    "CVE-2011-0408"
  ],
  "details": "pngrtran.c in libpng 1.5.x before 1.5.1 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted palette-based PNG image that triggers a buffer overflow, related to the png_do_expand_palette function, the png_do_rgb_to_gray function, and an integer underflow.  NOTE: some of these details are obtained from third party information.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-0408"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/64637"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/70417"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/42863"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1024955"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/mailarchive/forum.php?thread_name=002b01cbb0e2%24ae636c80%240b2a4580%24%40acm.org&forum_name=png-mng-implement"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/643140"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2011/0080"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-01-18T18:03:00Z"
  }
}